﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals

	Private Root As B4XView
	Private xui As XUI

	Private ASScheduler_CalendarViewMonth1 As ASScheduler_CalendarViewMonth
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("frm_main")
	B4XPages.SetTitle(Me," CalendarView MonthView Example")

	'Dim Start As Long = DateTime.now

	ASScheduler_CalendarViewMonth1.API.ClearAppointments
	ASScheduler_CalendarViewMonth1.API.ClearBlackouts
	ASScheduler_CalendarViewMonth1.API.ClearSpecialDays
	
	Dim p As Period
	p.Initialize
	p.Days = 3
		
	ASSchedulerUtils.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_AppointmentRecurring(0,"Test1","Description",xui.Color_ARGB(255,73, 98, 164),False,DateTime.Now,DateUtils.AddPeriod(DateTime.Now,p),True,"day",7))
	p.Days = 2
	ASSchedulerUtils.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test2","Description",xui.Color_ARGB(255,45, 136, 121),False,DateTime.Now,DateUtils.AddPeriod(DateTime.Now,p)))
	ASSchedulerUtils.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test3","Description",xui.Color_ARGB(255,141, 68, 173),False,DateUtils.AddPeriod(DateTime.Now,p),DateUtils.AddPeriod(DateTime.Now,p)))
	
	p.Days = -2
	For i = 0 To 15 -1
		ASSchedulerUtils.API.CreateAppointment(ASSchedulerUtils.CreateASScheduler_Appointment(0,"Test" & i,"Description",xui.Color_ARGB(255,45, 136, 121),False,DateUtils.AddPeriod(DateTime.Now,p),DateUtils.AddPeriod(DateTime.Now,p)))
	Next
	
	p.Days = -12
	ASSchedulerUtils.API.CreateBlackout(ASSchedulerUtils.CreateASScheduler_Blackout(0,DateUtils.AddPeriod(DateTime.Now,p),DateUtils.AddPeriod(DateTime.Now,p) + (DateTime.TicksPerDay*4)))
	
	'ASScheduler_CalendarViewMonth1.StartDate = DateTime.Now - DateTime.TicksPerDay
	
	'Creates a special day as recurring special day on every sunday
	Dim OneSunday As Long = DateUtils.SetDate(2022,5,8)
	ASScheduler_CalendarViewMonth1.API.CreateSpecialDay(ASSchedulerUtils.CreateASScheduler_SpecialDayRecurring(0,"sunday",OneSunday,True,ASSchedulerUtils.Recurring_Week,1,True))
	
	Sleep(0)
	ASScheduler_CalendarViewMonth1.StartDate = DateTime.Now 'DateTime.Now is default

End Sub
'
'Private Sub AddNewAppointment
'	
'	Private currApp As ASScheduler_Appointment
'        
'	currApp.Initialize
'	currApp.Color = xui.Color_ARGB(255, Rnd(50,210), Rnd(50,210), Rnd(50,210))
'	currApp.Description = "Description"
'	currApp.isFullDay = False
'	currApp.isRecurring = False
'	currApp.StartDate = DateTime.Now
'	currApp.EndDate = DateTime.Now + (60 * DateTime.TicksPerMinute)
'
'	Private appDescr As String = $"${"Test"} - ${"0815"}${CRLF}-${"Description"}"$ '${txtComments.Text}"$
'	currApp.Name = appDescr
'
'	currApp.Tag = "Test"
'        
'	ASSchedulerUtils.API.CreateAppointment(currApp)
'	
'	ASScheduler_CalendarViewMonth1.RefreshScheduler
'End Sub



Private Sub ASScheduler_CalendarViewMonth1_SelectedDateChanged(Date As Long)
	Log("SelectedDateChanged: " & DateUtils.TicksToString(Date))
End Sub


Private Sub ASScheduler_CalendarViewMonth1_AppointmentClick(Appointment As ASScheduler_Appointment)
	Log("AppointmentClick: " & Appointment.Name)
End Sub

Private Sub ASScheduler_CalendarViewMonth1_HiddenAppointmentClick(ListOfAppointments As List)
	Log("HiddenAppointmentClick: " & ListOfAppointments.Size)
End Sub